@font-face {
    font-family: 'Montserrat';
    font-weight: 400;
    font-style: normal;
    src: url(../fonts/Montserrat/Montserrat-Regular.ttf);
}
@font-face {
    font-family: 'Montserrat';
    font-weight: 500;
    font-style: normal;
    src: url(../fonts/Montserrat/Montserrat-Medium.ttf);
}
@font-face {
    font-family: 'Montserrat';
    font-weight: 700;
    font-style: normal;
    src: url(../fonts/Montserrat/Montserrat-Bold.ttf);
}
@font-face {
    font-family: 'Montserrat';
    font-weight: 600;
    font-style: normal;
    src: url(../fonts/Montserrat/Montserrat-SemiBold.ttf);
}

html, body {
    height: 100%;
}

body {
    font-family: 'Montserrat', sans-serif !important;
    color: #303030 !important;
}

.page {
    display: flex;
    flex-direction: column;
    height: 100%;
}

/* Header */

.header {
    background: #253858;
    padding: 22px 360px !important;
    width: auto !important;
}

/* Footer */

.footer {
    width: auto !important;
    background: #ECEEF2;
    max-width: 100% !important;
    padding: 16px 360px !important;
    margin: 0 !important;
}

.footer__container {
    display: flex;
    justify-content: space-between;
}

.footer__logo {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 4px;
}

.footer__logo-text {
    color: #333;
    font-size: 14px;
    line-height: 16px;
    font-family: 'Montserrat', sans-serif !important;
}

.footer__logo-link {
    color: #0083CC;
}

.footer__contacts {
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 8px;
}

.footer__contacts-title {
    font-weight: 500;
}

.footer__contacts-item {
    color: #333;
    line-height: 16px;
    font-family: 'Montserrat', sans-serif !important;
}

/* Main page donate */

.container-content {
    flex: 1;
    margin: 0 360px !important;
    max-width: none !important;
    width: auto !important;
}

.content-title {
    margin: 0;
    padding: 40px 0;
    color: #253858;
    font-size: 40px;
    font-weight: 500;
    line-height: 54px;
}

.statistic {
    margin-bottom: 40px;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.statistic__title {
    color: #6F6F6F;
    font-size: 16px;
    line-height: 16px;
    text-transform: uppercase;
}

.statistic__groups {
    display: flex;
    gap: 105px;
}

.statistic__group {
    display: flex;
    flex-direction: column;
    gap: 2px;
}

.statistic__quantity {
    display: flex;
    gap: 4px;
    align-items: center;
}

.statistic__quantity-number {
    color: #253858;
    font-size: 28px;
    font-weight: 600;
    line-height: 28px;
}

.statistic__label {
    color: #6F6F6F;
    font-size: 16px;
    line-height: 16px;
}

.content-label {
    color: #6F6F6F;
    font-size: 16px;
    line-height: 16px;
    text-transform: uppercase;
}

.content-donation {
    grid-template-columns: repeat(4, 282px) !important;
    row-gap: 40px;
    column-gap: 24px;
    margin-top: 16px;
    margin-bottom: 120px;
}

.donation__block {
    margin: 0 !important;
    padding: 0 !important;
    box-shadow: none !important;
    height: 456px;
    display: block !important;
}

.donation__image {
    margin-bottom: 16px;
}

.donation__image img {
    border-radius: 5px;
    width: 282px;
    height: 180px;
}

.donation__wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 260px;
}

.donation__title {
    font-size: 20px !important;
    font-weight: 600 !important;
    line-height: 24px;
    white-space: nowrap;
    overflow: hidden;
}

.donation__note {
    color: #303030 !important;
    font-size: 14px !important;
    line-height: 20px;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 120px;
}

.donation__link {
    margin-top: 0 !important;
    padding: 0 !important;
}

.btn {
    display: flex !important;
    justify-content: center;
    align-items: center;
    font-family: 'Montserrat', sans-serif;
    font-size: 14px !important;
    font-weight: 500;
    border-radius: 4px;
    background: #70BF73 !important;
    box-shadow: 0px 1px 2px 0px rgba(53, 101, 55, 0.20);
    height: 36px;
    /*width: 100%;*/
    text-transform: none !important;
    border: 2px solid #70BF73;
    transition: all .2s;
    cursor: pointer;
}

.btn:hover {
    background-color: #5DA05F !important;
    box-shadow: 0px 1px 3px 0px rgba(93, 158, 96, 0.50);
    border: 2px solid #5DA05F;
}

.btn:active {
    box-shadow: 0px 1px 3px 0px rgba(70, 112, 72, 0.50) inset;
    border: 2px solid #5DA05F;
}

.btn:focus-visible {
    border: 2px solid #FFF;
    box-shadow: 0px 1px 2px 0px rgba(53, 101, 55, 0.20);
    outline: 2px solid #70BF73 !important;
}

.donation__block:first-child {
    grid-column: span 4;
    flex-direction: row;
    gap: 24px;
    height: 400px;
    display: flex !important;
}

.donation__block:first-child .donation__image {
    margin-bottom: 0;
}

.donation__block:first-child .donation__image img {
    width: 792px;
    height: 400px;
    object-fit: cover;
}

.donation__block:first-child .donation__wrapper {
    height: auto;
    width: 384px;
}

.donation__block:first-child .donation__title {
    font-size: 28px !important;
    line-height: 36px;
    text-wrap: wrap;
}

.donation__block:first-child .donation__note {
    font-size: 16px !important;
    line-height: 24px;
    overflow: hidden;
    text-overflow: ellipsis;
    height: 96px;
}

.btn-container {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

.progress-container__bar-container {
    background-color: #E5E5E5;
    border-radius: 12px;
    height: 4px; 
}
.progress-bar {
    height: 100%;
    background-color: #70BF73; 
    width: 0; 
    border-radius: 12px;
    max-width: 100%;
}
.progress-container__date-container {
    display: flex;
    gap: 4px;
}
.progress-container__date-container img {
    width: 16px;
    height: 16px;
}
.progress-container__date, 
.progress-container__current-progress {
    color: #8D8D8D;
    font-size: 12px;
    line-height: 16px;
}
.progress-container__text {
    display: flex;
    justify-content: space-between;
    margin-bottom: 8px;
}

/* Donation */

.donation {
    flex: 1;
    margin: 0 360px !important;
}

.content-back {
    margin-top: 40px !important;
}

.content-back__link {
    display: flex;
    color: #6F6F6F !important;
    font-family: 'Montserrat', sans-serif !important;
    font-size: 14px !important;
    line-height: 20px !important;
    transition: .2s ease-in-out;
    text-transform: none !important;
    width: max-content;
}

.content-back .content-back__link:hover {
    color: #8CAF00 !important;
    text-decoration: none !important;
}

.content-back__icon {
    background-image: url(/static/main/img/left-arrow.svg);
    width: 16px;
    height: 16px;
    display: block;
    margin-right: 0 !important;
    margin-top: 2px;
    transition: none !important;
}

.content-back .content-back__link:hover .content-back__icon {
    filter: brightness(0) saturate(100%) invert(58%) sepia(27%) saturate(3523%) hue-rotate(38deg) brightness(100%) contrast(100%);
}

.donation-info__title {
    padding: 40px 0 24px;
    font-size: 40px;
    font-weight: 500;
    line-height: 54px;
}

.donation-info__image img {
    width: 100%;
    height: 460px;
    border-radius: 5px;
}

.donation-info__label {
    padding: 32px 0 12px;
    color: #6F6F6F;
    font-size: 16px;
    line-height: 16px;
    text-transform: uppercase;
}

.donation-info__wrapper {
    display: grid;
    grid-template-columns: auto 384px;
    column-gap: 24px;
    margin-bottom: 120px;
}

.donation-info__text {
    font-size: 16px;
    line-height: 24px;
}

.donation__form {
    margin-top: 16px;
    padding: 32px 24px !important;
    border-radius: 8px;
    box-shadow: 0px 1px 30px 0px rgba(0, 0, 0, 0.10);
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.donation-statistic {
    display: grid;
    justify-content: space-between;
    grid-template-columns: 170px 140px;
}

.donation-statistic__group {
    display: flex;
    gap: 8px;
    align-items: center;
}

.donation-statistic__label {
    color: #253858;
    font-size: 14px;
    line-height: 16px;
}

.choice-sum {
    width: auto !important;
    padding: 0 !important;
    margin-bottom: 0 !important;
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.choice-sum__link:hover {
    background-color: #D4ECD5 !important;
}

.choice-sum__title {
    margin-bottom: 0 !important;
    font-size: 16px;
    font-weight: 500;
    line-height: 24px;
    text-align: left !important;
}

.choice-sum__list {
    gap: 16px;
}

.choice-sum__link {
    border-radius: 4px;
    background-color: #F5F5F5;
    border: none !important;
    width: 100px !important;
    height: 40px;
    padding: 0px 24px !important;
    color: #303030 !important;
    font-size: 13px;
    font-weight: 500;
    line-height: 16px;
    font-family: 'Montserrat', sans-serif;
}

.row-pay-info {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.pay-info, .contact-info {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.label, .warning {
    font-size: 14px;
    line-height: 16px;
}

.input {
    border-radius: 4px;
    border: 1px solid #C3C3C3;
    padding: 10px 12px;
    font-family: 'Montserrat', sans-serif;
    color: #303030;
}

.input:placeholder {
    color: #8D8D8D;
}

.input:focus-visible {
    border-color: #70BF73;
    outline: none;
}

.checkbox__input {
    cursor: pointer;
}

.checkbox__text {
    font-size: 12px;
    font-weight: 500;
    line-height: 16px;
}

.checkbox__link {
    color: #0083CC;
    font-size: 12px;
    line-height: 16px;
}

.pay__button {
    font-weight: 400 !important;
    padding: 10px 24px;
    line-height: 20px;
    color: #FFF;
    height: 40px;
    width: 100%;
}

.pay__button:disabled {
    background: #E5E5E5 !important;
    border-color: #E5E5E5;
    color: #8D8D8D;
    box-shadow: none;
    cursor: auto;
}

/* Blocker */

.blocker-container {
    flex: 1;
    align-self: center;
    align-content: center;
    padding: 30px 0;
}

.blocker-container__img {
    margin-bottom: 16px;
    text-align: center;
}

.blocker-container__text {
    color: #121111;
    font-size: 20px;
    font-weight: 500;
    line-height: 32px;
    text-align: center;
    padding-inline: 15px;
}
/* Success payment */

.success-payment {
    flex: 1;
    align-self: center;
    align-content: center;
    padding: 30px 0;
}

.success-payment__content {
    width: 480px;
}

.success-payment__img-container {
    text-align: center;
    margin-bottom: 20px;
}

.success-payment__img {
    width: 302px;
    height: 302px;
}

.success-payment__text {
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.success-payment__title {
    font-size: 28px;
    font-weight: 600;
    line-height: 36px;
    margin-bottom: 16px;
}

.success-payment__hint {
    color: #6F6F6F;
    font-size: 16px;
    line-height: 24px;
    margin-bottom: 40px;
}

.success-payment__button {
    width: 288px;
    height: 40px;
    color: #FFF;
}

/*.success-payment__link {
    font-size: 16px;
    line-height: 24px;
    color: #303030;
}

.success-payment__link:hover,
.success-payment__link:active {
    text-decoration: underline;
}*/

/* Main page donate mobile */

@media (max-width: 1860px) {
    .header, .footer {
        padding: 16px 250px !important;
    }
    
    .container-content, .donation {
          margin: 0 250px !important;
    }
}

@media (max-width: 1630px) {
    .header, .footer {
        padding: 16px 130px !important;
    }
    
    .container-content, .donation {
          margin: 0 130px !important;
    }
}


@media (max-width: 1430px) {
    .donation__block:first-child,
    .donation__block {
        grid-column: auto;
        flex-direction: column;
        height: 456px;
        display: block !important;
    }
    
    .donation__block:first-child .donation__image,
    .donation__block .donation__image{
        margin-bottom: 16px;
    }
    
    .donation__block:first-child .donation__image img,
    .donation__block .donation__image img {
        width: 282px;
        height: 180px;
        object-fit: cover;
    }
    
    .donation__block:first-child .donation__wrapper,
    .donation__block .donation__wrapper {
        height: 240px;
        width: auto;
    }
    
    .donation__block:first-child .donation__title,
    .donation__block .donation__title {
        font-size: 20px !important;
        line-height: 24px;
    }
    
    .donation__block:first-child .donation__note,
    .donation__block .donation__note {
        font-size: 14px;
        line-height: 20px;
        overflow: hidden;
        text-overflow: ellipsis;
        height: 120px;
    }
}

@media (max-width: 1390px) {
    .content-donation {
        grid-template-columns: repeat(3, 282px) !important;
    }
}

@media (max-width: 1100px) {
    .content-donation {
        grid-template-columns: repeat(2, 282px) !important;
    }
}

@media (max-width: 800px) {
    .header, .footer {
        padding: 16px 16px !important;
    }
    
    .container-content, .donation {
          margin: 0 16px !important;
    }
}

@media (max-width: 620px) {
    .content-donation {
        grid-template-columns: repeat(1, auto) !important;
        row-gap: 36px;
        justify-content: center;
    }
    
    .donation__block:first-child, 
    .donation__block {
        height: 476px;
    }
    
    .donation__block:first-child .donation__wrapper, 
    .donation__block .donation__wrapper {
        height: 248px;
    }
    
    .donation__block:first-child .donation__image img, 
    .donation__block .donation__image img {
        width: 100%;
        height: 212px;
        object-fit: cover;
    }
    
    .content-title {
        font-size: 24px;
        line-height: 32px;
    }
    
    .statistic__title {
        font-size: 14px;
    }
    
    .statistic__quantity-img {
        width: 24px;
        height: 24px;
    }
    
    .statistic__quantity-number {
        font-size: 22px;
        line-height: 24px;
    }
    
    .statistic__label {
        font-size: 12px;
    }
    
    .content-label {
        font-size: 14px;
        line-height: 16px;
    }
    
    .footer__container {
        justify-content: center;
    }
    
    .footer__contacts {
        display: none;
    }
}

/* Donation mobile */

@media (max-width: 980px) {
    .donation-info__wrapper {
        grid-template-columns: auto;
    }
    
    .mobile-statistic {
        display: grid !important;
        justify-content: space-between;
        grid-template-columns: 140px 140px;
        margin-top: 16px;
    }
    
    .mobile-statistic .donation-statistic__quantity-img {
        width: 24px;
        height: 24px;
    }
    
    .mobile-statistic .donation-statistic__label {
        font-size: 12px;
        line-height: 14px;
    }
    
    .donation__form {
        box-shadow: none;
    }
    
    .donation-statistic {
        display: none;
    }
}

@media (max-width: 800px) {
    .donation__form {
        padding: 0 !important;
    }
}

@media (max-width: 600px) {
    .donation-info__image img {
        height: 250px;
    }
}

/* Blocker mobile */

@media (max-width: 1000px) {
    .blocker-container__img img {
        width: 350px;
        height: 160px;
    }
    
    .blocker-container__text {
        font-size: 18px;
        line-height: 28px;
    }
}

@media (max-width: 635px) {
    .blocker-container__img img {
        width: 263px;
        height: 120px;
    }
    
    .blocker-container__text {
        width: 263px;
        font-size: 16px;
        line-height: 24px;
        margin: 0 auto;
    }
}

/* Success payment mobile */ 

@media (max-width: 620px) {
    .success-payment__content {
        width: auto;
        padding: 0 16px;
    }
    
    .success-payment__img-container {
        margin-bottom: 12px;
    }
    
    .success-payment__img {
        width: 240px;
        height: 240px;
    }
    
    .success-payment__title {
        font-size: 24px;
        line-height: 32px;
        margin-bottom: 12px;
    }
    
    .success-payment__hint {
        font-size: 14px;
        line-height: 20px;
        margin-bottom: 36px;
    }
    
    .success-payment__button {
        width: 328px;
        height: 52px;
    }
}